Delete a snapshot
Deletes the snapshot's archive. A snapshot that is still being saved cannot be deleted. Requires space write permission.
DELETE
/api/computers/{id}/snapshots/{snapshotId}Path parameters
idstringrequiredsnapshotIdstringrequiredRequest
curl
curl -X DELETE https://trickest.io/api/computers/{id}/snapshots/{snapshotId} \
-H "Authorization: Token $TRICKEST_TOKEN"Responses
204Deleted
400Bad Request – validation error or malformed input
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
401Unauthorized – missing or expired token
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
403Forbidden – insufficient permissions
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
429Too Many Requests – rate limited
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
500Internal Server Error
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.